## debian-edu-install 0.674

=== Makefile ===
#
# Install file for Debian-Edu debconf override package
#

INSTALL     = install
INSTALL_DATA= install -m 644

libdir      = /usr/lib
baseconfdir = $(libdir)/base-config
templatedir = /usr/share/debconf/templates
pkglibdir   = $(libdir)/debian-edu-install
sbindir     = /usr/sbin
sysconfdir  = /etc

SBINFILES = \
	debconf-set-frontend

PART_RECIPES = \
        90edumain \
        92edumain+ws \
        96eduwork \
        91edumain+ltsp \
        94edultsp \
        97minimal

PART_ARCHES = \
        recipes \
        recipes-powerpc-powermac_newworld \
        recipes-powerpc-prep

# Created using 'file * */*|grep Bourne|cut -d: -f1'
SCRIPTS = $(shell file * */*|grep Bourne|cut -d: -f1)

DEFAULTS = \
	common networked main-server workstation thin-client-server \
	standalone lessdisks ltsp-chroot

all: check
check: update-partman-recipes check-scripts # check-defaults

install: 
	for profile in $(DEFAULTS) ; do \
	    $(INSTALL_DATA) base-config/defaults.$$profile $(DESTDIR)$(pkglibdir)/; \
	done
	for fil in $(SBINFILES); do \
	  $(INSTALL) tools/$$fil $(DESTDIR)$(sbindir)/$$fil; \
	done
	$(INSTALL_DATA) version $(DESTDIR)$(pkglibdir)

debian-edu-profile.templates: debian/debian-edu-profile-udeb.templates
	(cd debian; po2debconf debian-edu-profile-udeb.templates) > $@

.PHONY: profile-demo
profile-demo: debian-edu-profile.templates
	chmod a+x ./debian-edu-profile
	DEBIAN_FRONTEND=dialog DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./debian-edu-profile
	rm -f debian-edu-profile.templates

# This check need write access to the debconf database.
check-defaults:
	for profile in $(DEFAULTS) ; do \
	    tools/debconf-load-defaults -c base-config/defaults.$$profile; \
	done

# Detect typos in /bin/sh scripts
check-scripts:
	for script in $(SCRIPTS) ; do \
		dash -n $$script ; \
	done

update-partman-recipes: lib/partman/common/*
	for partarch in $(PART_ARCHES) ; do \
            for partrecipe in $(PART_RECIPES) ; do \
                cat lib/partman/$$partarch-header > lib/partman/$$partarch/$$partrecipe ; \
                cat lib/partman/common/$$partrecipe >> lib/partman/$$partarch/$$partrecipe ; \
            done ; \
        done
install-partman-recipes: update-partman-recipes
	for partarch in $(PART_ARCHES) ; do \
            for partrecipe in $(PART_RECIPES) ; do \
		$(INSTALL_DATA) lib/partman/$$partarch/* $(DESTDIR)/lib/partman/$$partarch ;\
            done ; \
        done

minimum-diskreq:
	echo "Minimum disk requirements, in MiB:"
	for profile in lib/partman/recipes*/* ; do \
	  echo -n "$$profile	" ; \
	  grep '^[0-9]' $$profile |awk '{ sum=sum+$$1} END { print sum }' ; \
	done

status:
	( for f in debian/po/*.po; do \
		echo -n $$f:; LANG=C msgfmt --statistics -o /dev/null $$f 2>&1 ; \
	done ) | egrep 'fuzzy|untranslated' || true
dist:
	debuild -us -uc

clean:
	$(RM) *~
