=== debian/changelog ===
debian-edu-install (0.674) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Reformat French, German, Italian, Russian, Swedish and Turkish
    translations to avoid unwanted line wrap and make profile questions
    shorter.
  * Increase partition sizes for workstation and main-server+workstation
    installs, to make sure we have enough room for all the files installed.
  * Disable tasksel preseeding, as the tasksel task selection is moved to
    the debian-edu package and will fetch the tasks selected from Debconf.

  [ Translations ]
  * Update Norwegian Bokmål from Petter Reinholdtsen
  * Update Spanish from José L. Redrejo Rodrígue
  * Update Portuguese from "Traduz" - Portuguese Translation Team.
    Closes: #498793
  * Update Czech from Miroslav Kure. Closes: #499589
  * Add Chinese (zh_CN) from Ji ZhengYu. Closes: #500548
  * Add Traditional Chinese (zh_TW) translation from Andrew Lee.
  * Remove obsolete Low Saxon (nds) translation as we are unable to reach
    the translator Sven Kromminga.

  [ Daniel Hess ]
  * Reformat Chinese translations to get "- Sugar:" on a new line.

  [ Holger Levsen ]
  * Changed version number to "5.0r0+edu0 alpha" - we must remember to change
    this to "5.0r0+edu0" before the real release.

 -- Holger Levsen <holger@debian.org>  Sat, 29 Nov 2008 17:31:24 +0000

debian-edu-install (0.673) unstable; urgency=low

  * Move upgrade calls from debian-edu-add_local_apt to pre-pkgsel.d,
    to make sure sources.list is updated before trying to upgrade.
  * Rename d-i hook scripts to use the name of their .d directory
    as file name to make it easier to predict when a script will execute,
    and avoid mistakes like the above in the future.
  * Make sure to activate etcinsvk as soon as possible, imediately after
    the base system is installed, to be able to track where changes
    come from.
  * Drop redundant 'aptitude update' from post-base-installer.  It is
    also executed in pre-pkginst.
  * Make sure http_proxy is set when calling aptitude and cfengine, to
    make sure both use a proxy when it is required.

 -- Petter Reinholdtsen <pere@debian.org>  Mon,  4 Aug 2008 20:54:53 +0200

debian-edu-install (0.672) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Call etcinsvk instead of obsolete debian-edu-etc-svk, if it exist.
  * Remove workaround for usplash bug #431560, skolelinux bug #1164.  It
    does not work with dependency based boot sequencing.
  * Make sure to upgrade packages before running tasksel, to make sure
    the latest package lists and configuration is used.
  * Use aptitude instead of apt-get, and use in-target instead of
    chroot when possible, to get predictable behaviour and better
    logging.
  * Increase minimum partition sizes for main-server+workstation and
    main-server+thin-client-server, to better reflect the current
    demand.
  * Remove obsolete script lvm-initialize-debian-edu.  The task is done
    by partman now.
  * Remove obsolete script dpkg-selectforinstall.  The task is handled
    by tasksel now.
  * Move debian-edu-winbind script to the debian-edu-config package.
  * Remove obsolete support for autopartkit.
  * Make sure to use the installer HTTP proxy settings when trying to
    download using HTTP (Closes: #492226).

  [ Translations ]
  * Updated Russian from Yuri Kozlov (Closes: #489919).
  * Updated Turkish from Mert Dirik (Closes: #490089, #491492).
  * Updated French from Christian Perrier (Closes: #490129).
  * Updated Japanese from Kenshi Muto (Closes: #491987).
  * Updated Swedish from Daniel Nylander and Martin Bagge (Closes: #492032)
    (Closes: #491942).
  * Updated Italian from Claudio Carboncini.
  * Updated Finnish from Esko Arajärvi (Closes: #492117).

  [ Holger Levsen ]
  * Use urgency=medium as this upload contains two important bug fixes (the
    etcinsvk fix is also important) for lenny and the other changes are quite
    low risk and have been tested in Debian Edu for some days already.

 -- Holger Levsen <holger@debian.org>  Sat, 26 Jul 2008 17:11:38 +0000

debian-edu-install (0.671) unstable; urgency=low

  [ Holger Levsen ]
  * Update Turkish translation, thanks to Mert Dirik. (Closes: #489295)

  [ Petter Reinholdtsen ]
  * Avoid hardcoding LDAP server setting for libnss-ldapd, and use DNS
    SRV records to find it.
  * Add dmidecode-udeb as a dependency for debian-edu-profile-udeb to
    increase the chance of detecting a laptop.

 -- Petter Reinholdtsen <pere@debian.org>  Mon,  7 Jul 2008 01:07:33 +0200

debian-edu-install (0.670) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Change debian-edu-install.firstboot to touch /etc/readahead/profile-once
    after the testing is done, to run a profiling run on the next boot to
    optimize the boot speed.
  * Preseed etcinsvk/enabled to true, to handle new package split out
    from debian-edu-config.
  * Remove code and preseeding values obsoleted when base-config was
    dropped from Debian before Etch was released.
  * Remove code setting the debconf seen flag to false in the normal
    installation path, to make it possible to preseed the profile,
    partitioning and popcon question.
  * Only preseed debian-edu-install/run-firstboot if the question is not
    seen already, to allow it to be disabled using preseeding.
  * Move code releasing the unused LVM space to before packages are
    installed, to allow LVM resizing during installation.
  * Add rule to resize file systems during installation, to avoid the
    installer failing because of full file systems when there is free
    space in LVM.
  * Rewrite wget call to use -U option to set user agent string, instead
    of no longer supported --header.
  * Remove some preseeding for ltsp-client-builder which should now be
    implemented using a plugin in debian-edu-config.
  * Increase /usr/ and /var/ partition sizes for
    main-server+workstation to avoid filling up the partitions during
    installation.

