## debian-edu-install 0.676

=== Makefile ===
--- 
+++ 
@@ -28,12 +28,17 @@
         recipes-powerpc-powermac_newworld \
         recipes-powerpc-prep
 
+WRITE_ARCH_RECIPE = \
+	sed -e "/>*>ARCH SPECIFIC<*</ r lib/partman/$$partarch-specific" \
+	    -e '/>*>ARCH SPECIFIC<*</ d' \
+	lib/partman/common/$$partrecipe > lib/partman/$$partarch/$$partrecipe
+
 # Created using 'file * */*|grep Bourne|cut -d: -f1'
 SCRIPTS = $(shell file * */*|grep Bourne|cut -d: -f1)
 
 DEFAULTS = \
 	common networked main-server workstation thin-client-server \
-	standalone lessdisks ltsp-chroot
+	standalone ltsp-chroot
 
 all: check
 check: update-partman-recipes check-scripts # check-defaults
@@ -68,18 +73,17 @@
 		dash -n $$script ; \
 	done
 
-update-partman-recipes: lib/partman/common/*
+update-partman-recipes: lib/partman/common/* lib/partman/recipes*-specific
 	for partarch in $(PART_ARCHES) ; do \
             for partrecipe in $(PART_RECIPES) ; do \
-                cat lib/partman/$$partarch-header > lib/partman/$$partarch/$$partrecipe ; \
-                cat lib/partman/common/$$partrecipe >> lib/partman/$$partarch/$$partrecipe ; \
+               $(WRITE_ARCH_RECIPE) ;\
             done ; \
         done
+	echo -e "Last made $@ `date` for:\n$(?F)" > $@	# Avoid redundant makes.
+
 install-partman-recipes: update-partman-recipes
 	for partarch in $(PART_ARCHES) ; do \
-            for partrecipe in $(PART_RECIPES) ; do \
 		$(INSTALL_DATA) lib/partman/$$partarch/* $(DESTDIR)/lib/partman/$$partarch ;\
-            done ; \
         done
 
 minimum-diskreq:
