=== debian/changelog ===
debian-edu-install (0.676) unstable; urgency=low

  [ Holger Levsen ] 
  * Preseed lwat as suggested by John S. Skogtvedt to enable DNS and DHCP
    configuration with lwat (needs lwat >= 0.18). Thanks, John!

  [ Translations ]
  * Updated French (fr) by Christian Perrier (Closes: #530658).
  * Updated Russian (ru) by Yuri Kozlov (Closes: #531127).
  * Updated Swedish (sv) by Martin Bagge (Closes: #531339).
  * Updated Italian (it) by Claudio Carboncini.
  * Updated Basque (eu) by Piarres Beobide (Closes: #531560).
  * Updated Japanese (ja) by Kenshi Muto (Closes: #531856).
  * Updated Chinese (zh_CN) by Ji ZhengYu (Closes: #531840).
  * Updated German (de) by Helge Kreutzman (Closes: #532241).
  * Updated Portuguese (pt) by Miguel Figueiredo (Closes: #532216).
  * Updated Spanish (es) by Francisco Javier Cuadrado (Closes: #532215).
  * Updated Czech (cs) by Miroslav Kure (Closes: #532475).
  * Updated Finnish (fi) by Esko Arajärvi (Closes: #532500).

  [ Vagrant Cascadian ]
  * debian/copyright: point to GPL-2 explicitly.
  * only change priority for debian-edu-install to extra, as the other packages
    can remain at optional priority.
  * Add ${misc:Depends} to debian-edu-install-udeb and debian-edu-profiles-udeb
    so that debhelper can add appropriate dependencies if needed.
  * debian-edu-install.postinst: don't call deconf-set-selections with full
    path. 
  * update Standards-Version to 3.8.2, no changes needed.

 -- Vagrant Cascadian <vagrant@freegeek.org>  Sun, 21 Jun 2009 11:24:38 -0700

debian-edu-install (0.675) unstable; urgency=low

  [ Oded Naveh ]
  * Remove the debianfreespace logical volume from volume group of any name.
  * Changed Makefile and recipes files to deal with bug #1316:
    - Moved and modified partman recipes headers to appropriate 
      lib/partman/common/* and added insert marker for architecture specific
      partitions.
    - Renamed lib/partman/$(ARCH)-header to lib/partman/$(ARCH)-specific.
    - Changed make target 'update-partman-recipes' to use the new scheme.
    - Subsequently all lib/partman/recipes*/* changed by make.
  * Moved templates to choose recipes to debian-edu-profile-udeb.templates
    and made them translateable.
     Subsequently all debian/po/*.po changed by debconf-updatepo.

  [ Petter Reinholdtsen ]
  * Use 'etcinsvk commit' instead of obsolete 'etcinsvk update'.
  * Change how etcinsvk is initialized.  Initialize it in
    finish-install instead of in post-base-installer unless 'debug' is
    used as a kernel parameter during installation, as a workaround
    for bug #507742.  Removed enabling using preseeding to get it working.
  * Log when etcinsvk is called.

  [ Holger Levsen ]
  * Change version number to "5.0.0+edu0 alpha", to reflect the new Debian
    versioning scheme. We must still remember to change this to "5.0.0+edu0" 
    before the real release.

  [ Ronny Aasen ]
  * Add debian-edu-archive-keyring-udeb, to depends of debian-edu-install-udeb.
  * Add apt-setup/local0/key weburl to debien-edu-archive-keyring.
    Requiered for local online repo to be considered by apt-setup. 
  * Tweaking partition sizes. 
  * Remove the dependency on debconf from the udeb's there is no debconf udeb. 
  * add d-i preseed for base-installer/includes to install exim4-daemon-heavy 
    early.

  [ Vagrant Cascadian ]
  * Add myself to Uploaders.
  * Add flags to allow debian-maintainer uploads.
  * Remove most traces of lessdisks. 
  * Add ${misc:Depends} to debian-edu-install so that debhelper can add
    appropriate dependencies if needed.

  [ Holger Levsen ]
  * Change version number to "5.0.1+edu0 alpha", as we won't release before the
    first lenny pointrelease.

  [ Daniel Hess ]
  * Modify the desktop test of tasksel, so that when installing Debian Edu
    the installer installs what the user choose in the profile question.

  [ Luk Claes ]
  * Drop Sugar from expert mode. It's not working yet.
  * Fix translations.

  [ Daniel Hess ]
  * Fix the symlink done for the modified tasksel desktop test script
  * Also Modify new-install (for standard system) and laptop tests

  [ Holger Levsen ]
  * Add Oded Navehs particulator.sh script to lib/partman/recipes-doc to aid in
    caluculating partman recipes. 

  [ Ronny Aasen ]
  * tuning Partman recipes, trying to avoid #1342
  * increasing /var for ltsp and workstation machines, the netinstall uses
    allmost 2 GB during install. 

  [ Luk Claes ]
  * Fix translations to workaround cdebconf issue.

  [ Daniel Hess ]
  * Preseed tasksel/first seen flag to make tasksel not show up during
    install

  [ Ronny Aasen ]
  * Add tasksel as a dependency of d-e-i-udeb, in order to select it even if
    we have marked it as seen.
  * Copy the result of the testsuite into /var/log/installer/
  * Revert my tasksel dependency in svn57721, no effect.
  * Disable the preseed of tasksel/first, tasksel was not run in the installer.
    Instead try to bump debconf priority. 

  [ Petter Reinholdtsen ]
  * Fix typo in debian-edu-profile introduced in version 0.675~svn57741.
  * Copy the test log in firstboot to /var/log/installer.
  * On second thought, allow the Debian laptop task to be installed on
    laptops.  It does not contain any GUI applications and no
    longer include network-manager.  This partly undo changes done by
    Daniel Hess.

  [ Ronny Aasen ]
  * Check multiple indicators of a non default install before bumping priority.
  * increase main server/var, it uses about 560 MB for a netinstall.

  [ Vagrant Cascadian ]
  * lower priority to extra, as it depends on debian-edu-config, which is being
    changed to priority extra, to comply with debian policy 2.5.
  * allow libgnome2-perl as alternative to libqt-perl, and fall back to gnome
    frontend if kde frontend is unavailable.
  * update debian/compat to version 7, as version 4 is now deprecated. update
    build-dependency on debhelper to match.
  * update Standards-Version to 3.8.1, no changes needed.


