=== debian/control ===
Source: debian-edu-install
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>, Patrick Winnertz <winnie@debian.org>, Vagrant Cascadian <vagrant@freegeek.org>
Build-Depends: debhelper (>= 7), po-debconf
Build-Depends-Indep: dash
Standards-Version: 3.8.2
Homepage: http://www.skolelinux.org
Vcs-Browser: http://svn.debian.org/wsvn/debian-edu/trunk/src/debian-edu-install/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/debian-edu/trunk/src/debian-edu-install/
XS-DM-Upload-Allowed: yes

Package: debian-edu-install
Priority: extra
Architecture: all
Depends: ${misc:Depends}, debconf (>= 0.2.26) | debconf-2.0, debconf-utils, debian-edu-config (>= 0.380), lsb-base, libqt-perl | libgnome2-perl
Replaces: base-config-skolelinux
Provides: base-config-skolelinux
Conflicts: base-config-skolelinux (<= 0.557)
Description: Set d-i values to install Debian Edu without questions
 This package provides default answers for packages using debconf, and 
 configures services to work out of the box after an installation.
 .
 This is part of the Debian Edu project.

Package: debian-edu-profile-udeb
XC-Package-Type: udeb
Architecture: all
Section: debian-installer
Depends: ${misc:Depends}, localechooser, kbd-chooser, clock-setup, dmidecode-udeb
XB-Installer-Menu-Item: 3700
Description: Choose Debian Edu profile
 This package provides a profile chooser for the Debian installer.
 .
 This is part of the Debian Edu project.

Package: debian-edu-install-udeb
XC-Package-Type: udeb
Architecture: all
Section: debian-installer
Depends: ${misc:Depends}, netcfg, debian-edu-archive-keyring-udeb, debian-edu-profile-udeb, user-setup-udeb, pkgsel, ltsp-client-builder, localization-config-udeb
XB-Installer-Menu-Item: 1000
Description: Execute Debian Edu debian-installer profile
 This package forces the installer to choose the menu items we want to 
 use in debian-installer.  This is done by making this package appear 
 very early in the menu, and depending on the required packages in
 sequence.
 .
 This is part of the Debian Edu project.
