=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 DEFAULTS = \
 	common networked main-server workstation thin-client-server \
-	standalone lessdisks ltsp-chroot
+	standalone ltsp-chroot
 
 INSTALL      = install -D -m0755
 INSTALL_DATA = install -D -m0644
@@ -38,9 +38,9 @@
 	dh_clean
 
 install-common: build
+	dh_prep
 	dh_testdir
 	dh_testroot
-	dh_clean -k
 	dh_installdirs
 
 install-debian-edu-install: install-common
