## debian-edu-install 1.519

=== Makefile ===
--- 
+++ 
@@ -6,14 +6,10 @@
 INSTALL_DATA= install -m 644
 
 libdir      = /usr/lib
-baseconfdir = $(libdir)/base-config
 templatedir = /usr/share/debconf/templates
 pkglibdir   = $(libdir)/debian-edu-install
 sbindir     = /usr/sbin
 sysconfdir  = /etc
-
-SBINFILES = \
-	debconf-set-frontend
 
 PART_RECIPES = \
         90edumain \
@@ -45,10 +41,7 @@
 
 install: 
 	for profile in $(DEFAULTS) ; do \
-	    $(INSTALL_DATA) base-config/defaults.$$profile $(DESTDIR)$(pkglibdir)/; \
-	done
-	for fil in $(SBINFILES); do \
-	  $(INSTALL) tools/$$fil $(DESTDIR)$(sbindir)/$$fil; \
+	    $(INSTALL_DATA) preseed-values/defaults.$$profile $(DESTDIR)$(pkglibdir)/; \
 	done
 	$(INSTALL_DATA) version $(DESTDIR)$(pkglibdir)
 
@@ -64,7 +57,7 @@
 # This check need write access to the debconf database.
 check-defaults:
 	for profile in $(DEFAULTS) ; do \
-	    tools/debconf-load-defaults -c base-config/defaults.$$profile; \
+	    tools/debconf-load-defaults -c preseed-values/defaults.$$profile; \
 	done
 
 # Detect typos in /bin/sh scripts
@@ -79,7 +72,7 @@
                $(WRITE_ARCH_RECIPE) ;\
             done ; \
         done
-	echo -e "Last made $@ `date` for:\n$(?F)" > $@	# Avoid redundant makes.
+	LC_ALL=C printf "Last made $@ `date` for:\n$(?F)\n" > $@	# Avoid redundant makes.
 
 install-partman-recipes: update-partman-recipes
 	for partarch in $(PART_ARCHES) ; do \
