=== debian/changelog ===
debian-edu-install (1.519) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Increase /var/ partition size for Main-Server+Thin-Client-Server
    installations, minimum from 4032 to 4480 MiB, to make sure
    enough space is available for PXE installations.
  * Show "expert" profile question by default to make the minimal
    profile more visible and better known. 
  * Fix typo in postinst to handle the Minimal profile.
  * Correct formatting of Danish (da) debconf templates.
  * Correct formatting of Norwegian Nynorsk (nn) debconf templates.
  * Correct formatting of Swedish (sv) debconf templates.

  [ Translations ]
  * Update Czech (cs) translation by Miroslav Kure (Closes: #601868).
  * Update Greek (el) translation by Stayros Kroustouris.
  * Update Italian (it) translation by Claudio Carboncini
    (Closes: #602952).
  * Update Traditional Chinese (zh_TW) by Andrew Lee (李健秋).

 -- Holger Levsen <holger@debian.org>  Sat, 13 Nov 2010 14:46:55 +0100

debian-edu-install (1.518) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Increase partition size for Workstation installations, minimum
    from 2752 to 3776 MiB and max from 4096 to 5120, to make sure
    enough space is available for PXE installations.
  * Fetch CD suite from cdrom/codename debconf value in
    debian-edu-profile and report errors if the suite was not found.
  * Use log-output to send wget output to the syslog when testing
    if the Internet is available.

  [ Ronny Aasen ]
  * Adapt tools/edu-is-testinstall, to changes in d-i. use
    cdrom/codename To find debian codename on cdrom install's

  [ Translations ]
  * Update Northern Sami (se) translated by Børre Gaup.
  * Update Chinese (zh_CN) by Ji ZhengYu (Closes: #599912).
  * Update Spanish (es) by Francisco Javier Cuadrado
    (Closes: #600345).
  * Update Finnish by Esko Arajärvi (Closes: #600512).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 23 Oct 2010 23:02:28 +0200

debian-edu-install (1.517) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Remove unneeded lwat preseeding in defaults.networked, which is
    also in defaults.main-server.
  * Update standards-version from 3.8.4 to 3.9.1.  No changes needed.
  * Always preselect Thin-Client-Server when Main-server is selected,
    to recommend combined servers as the default.

  [ Finn-Arne Johansen ]
  * Added preseeding of ldap server and search base (used by lwat).
  * Modified preeseding of lwat to fit newer ldap configuration.
  * Fixed typo in some of the lwat preseeding to make it work with dhcp
    and dns (too many spaces in the preseeding).

  [ Translations ]
  * Updated Norwegian Bokmål (nb) translation by Petter Reinholdtsen.
  * Updated Norwegian Nynorsk (nn) translation by Jan Roar Rød.
  * Updated Czech (cs) translation by Miroslav Kure (Closes: #598355)
  * Updated Vietnamese (vi) translated by Clytie
    Siddall (Closes: #599500).
  * Updated Turkish (tr) translated by Mert Dirik.
  * Updated Northern Sami (se) translated by Børre Gaup.
  * Updated Slovak (sk) translated by Ivan Masár (Closes: #599501).
  * Updated Japanese (ja) translated by Kenshi Muto (Closes: #599601).
  * Updated Danish (da) translated by Joe Hansen (Closes: #599637).
  * Updated Portuguese (pt) translated by Miguel
    Figueiredo (Closes: #599755).
  * Updated Basque (eu) translated by Iñaki Larrañaga
    Murgoitio (Closes: #599809).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 11 Oct 2010 18:13:27 +0200

debian-edu-install (1.516) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Add preseeding of partman-lvm/confirm_nooverwrite to ensure
    automatic partition is working also for blank disks.
  * Adjust how partman preseeding is used, use add_preseed function
    instead of manually using db_set/db_fset.
  * Fix typo in debian-edu-profile causing wrong exim to be installed on
    servers where autopartition is not chosen.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 12 Aug 2010 23:46:17 +0200

debian-edu-install (1.515) unstable; urgency=low

  * Copy laptop-detect script from the package with the same name, and
    use it to determine if Main-Server, Thin-Client-Server,
    Standalone, Workstation or Roaming-Workstation should be
    preselected.  Add depend on dmidecode-udeb to make sure
    laptop-detect can check DMI chassis info.
  * Update preseed values for main-server to use the nagios3 templates
    to set the web page password, and not the obsolete nagios
    templates.
  * Adjust main-server preseeding to use the current LDAP structure.
  * Remove unused networked preseeding of libnss-ldap, libpam-ldap and
    libnss-ldapd.
  * Set hostname based on reverse DNS entry for IP in pre-pkgsel for
    clients, to make sure dnsdomainname return useful information when
    debian-edu-ldapserver need it during installation.
  * Switch nslcd preseeding from using DNS SRV records to find the
    LDAP server at run time, to look for ldap://ldap and depend on the
    SRV records to be consulted at install time instead.
  * Log to the console when running debian-edu-config
    run-at-firstboot, to give users some feedback on why the machine
    is hanging during boot.
  * Add code in pre-pkgsel and finish-install scripts to call hooks in
    /target/usr/share/debian-edu-config/d-i/ and move relevant code
    calling cfengine and autodetection to the debian-edu-config
    package.
  * Log message when doing profile preselection and running
    debian-edu-config hooks, to ease debugging.
  * Correct the use of log_* messages in
    init/xdebian-edu-firstboot.init.

  [ Translations ]
  * Updated French from Christian Perrier (Closes: #590880)
  * Updated Russian from Yuri Kozlov (Closes: #591238)
  * Updated Swedish from Martin Bagge (Closes: #592042).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 07 Aug 2010 22:28:07 +0200

debian-edu-install (1.514) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Add new profile choice 'Roaming-Workstation' to set up local home

