## debian-edu-install 1.520

=== debian/changelog ===
debian-edu-install (1.520) unstable; urgency=low

  * Release of eleven prereleases done in Debian Edu to Debian sid, aimed at
    Debian squeeze. See below for exact list of changes.
  * Update version to "6.0.3+edu0 beta1" in version and 
    debian/debian-edu-install.postinst.

  * debian-edu-install (1.520~svn74157) squeeze-test; urgency=low

  [ Andreas B. Mundt ]
  * Modify krb5-config preseeding to work out of the box for clients.

  * debian-edu-install (1.520~svn73947) squeeze-test; urgency=low

  [ Petter Reinholdtsen ]
  * Correct the Vcs-Browser link in the control file to use the new paths.

  [ Holger Levsen ]
  * Drop references to etcinsvk in post-base-installer (confirmed via checking
    the logs that this init here was useless) and tools/edu-etcvcs.
 
  * debian-edu-install (1.520~svn73655) squeeze-test; urgency=low

  [ Andreas B. Mundt ]
  * Add preseeding for ldap-password-again.

  * debian-edu-install (1.520~svn73623) squeeze-test; urgency=low

  [ Holger Levsen ]
  * preseed-values/defaults.common: don't add "quiet" to the kernel params
    anymore as this is already done by d-i. (Closes: skolelinux#1345) 

  [ Andreas B. Mundt ]
  * Add local user to the 'adm'-group to allow reading logfiles.
  * Remove 'netdev'-group as it does not exist.
  * Clean code, it's now almost identical to the last working revision,
    but with localadmin-creation added.

  * debian-edu-install (1.520~svn73450) squeeze-test; urgency=low

  [ Mike Gabriel ]
  * Run pre-pkgsel debconf-* commands with in-target, to make
    sure ldap-password and kdc-password get set reliably in
    to-be-installed system.

  * debian-edu-install (1.520~svn73402) squeeze-test; urgency=low

  [ Daniel Hess ]
  * Remove second call to create_initial_localadmin_user() in
    pre-pkgsel.

  [ Holger Levsen ]
  * Remove scanner and fuse from localadmins groups.

  [ Mike Gabriel ]
  * Fixes chpasswd call during creation of localadmin account.

  * debian-edu-install (1.520~svn73401) squeeze-test; urgency=low

  [ Daniel Hess ]
  * Redirect stdout to stderr for in-target calls in pre-pkgsel's
    create_initial_localadmin_user(): Fixes problems with debconf.

  * debian-edu-install (1.520~svn73383) squeeze-test; urgency=low

  [ Daniel Hess ]
  * Correctly pass username and password to chpasswd for localadmin.

  * debian-edu-install (1.520~svn73372) squeeze-test; urgency=low

  [ Holger Levsen ]
  * Update Catalan by Hector Oron. (Closes: #606127)
 
  [ Daniel Hess ]
  * Save the password entered during installation in debconf variable
    'debian-edu-config/ldap-password' for later use during ldap
    bootstrap.
  * Update Catalan po file with debconf-updatepo (through debian/rules'
    clean target)

  [ Mike Gabriel ]
  * Adds Mike Gabriel to uploaders.

  * debian-edu-install (1.520~svn73341) squeeze-test; urgency=low

  [ Mike Gabriel ]
  * use DNS SRV records to detect kerberos configuration for Debian Edu clients
    (by preseeding krb5-config)
  * fix localadmin user account creation (using in-target calls)

  * debian-edu-install (1.520~svn73315) squeeze-test; urgency=low

  [ Andreas B. Mundt ]
  * Change netmask of the backbone net: Use full 10.0.0.0/8 network
    in tjeners interfaces file until GOsa supports 10.0.2.0/23.
  * Add myself to Uploaders.

  [ Mike Gabriel ]
  * pre-pkgsel: create a local user with uid "localadmin" and sudo rights.
    (for first login and for graphical admin tasks when i.e. ldap or
    network is down.)
  * Setting author in etckeeper's VCS (Closes: #617383)

  [ Petter Reinholdtsen ]
  * Add isinstallable script to debian-edu-profile-udeb to disable
    the profile question when d-i is in rescue mode.
  * Make sure atftp is preseeded also for standalone Main-Server
    profiles, to get PXE installation working from such servers.
  * Make sure CD is present before looking for .disk/cd_type on it, to
    avoid error message in the log for PXE installations.
  * Preseed partman-auto/init_automatically_partition to try to get
    automatic partitioning working with ISO booted as USB stick.
    Flag it as seen to avoid presenting the question to the user
    (Closes: #606314).
  * Ignore wireless network interfaces when guessing if a machine
    should be a thin client server, as PXE booting do not work on wifi
    networks.

  [ Andrew Lee (李健秋) ]
  * Update translation for zh_TW. 

 -- Holger Levsen <holger@debian.org>  Sat, 04 Jun 2011 00:31:55 +0200
