=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: misc
 Priority: optional
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
-Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>, Patrick Winnertz <winnie@debian.org>, Vagrant Cascadian <vagrant@debian.org>, Andrew Lee (李健秋) <ajqlee@debian.org>
+Uploaders: Petter Reinholdtsen <pere@debian.org>, Morten Werner Forsbring <werner@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>, Patrick Winnertz <winnie@debian.org>, Vagrant Cascadian <vagrant@debian.org>, Andrew Lee (李健秋) <ajqlee@debian.org>, Andreas B. Mundt <andi.mundt@web.de>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
 Build-Depends: debhelper (>= 7), po-debconf
 Build-Depends-Indep: dash (>= 0.5.4-12)
 Standards-Version: 3.9.1
 Homepage: http://www.skolelinux.org
-Vcs-Browser: http://svn.debian.org/wsvn/debian-edu/trunk/src/debian-edu-install/?rev=0&sc=0
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-edu/trunk/src/debian-edu-install/
 Vcs-Svn: svn://svn.debian.org/debian-edu/trunk/src/debian-edu-install/
 XS-DM-Upload-Allowed: yes
