=== debian/rules ===
--- 
+++ 
@@ -88,6 +88,7 @@
 	dh_strip -p$@
 	dh_compress -p$@
 	dh_fixperms -p$@
+	cp debian/debian-edu-profile-udeb.isinstallable debian/debian-edu-profile-udeb/DEBIAN/isinstallable
 	dh_installdeb -p$@
 	dh_gencontrol -p$@ -- -n$(PROFILEUDEBFILENAME)
 	dh_builddeb -p$@ --filename=$(PROFILEUDEBFILENAME)
